﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.ServiceLocation;
using DataBrowser.ViewModel;

namespace DataBrowser.Modules
{
    [ModuleExport(typeof(MainModule), InitializationMode = InitializationMode.OnDemand)]    
    public class MainModule : IModule
    {
        public void Initialize()
        {
            IRegionViewRegistry viewRegistry = ServiceLocator.Current.GetInstance<IRegionViewRegistry>();
            if (viewRegistry != null)
            {
                viewRegistry.RegisterViewWithRegion("MainRegion", typeof(TabedViewModel));
            }
        }
    }
}
