﻿using System.ComponentModel.Composition;
using System.Windows;

namespace DataBrowser.ViewModel
{
    [Export(typeof(CompositeViewModel)),PartCreationPolicy(System.ComponentModel.Composition.CreationPolicy.NonShared)]
    public class CompositeViewModel : DependencyObject
    {

        public CompositeViewModel()
        {
            int x = 0;
            x = x + 1;
            StatusLog = "This is meant for testing";
            TuneData = " Tune data is on the way";
        }

        public object StatusLog
        {
            get { return (object)GetValue(StatusLogProperty); }
            set { SetValue(StatusLogProperty, value); }
        }

        // Using a DependencyProperty as the backing store for StatusLog.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty StatusLogProperty =
            DependencyProperty.Register("StatusLog", typeof(object), typeof(CompositeViewModel));



        public object TuneData
        {
            get { return (object)GetValue(TuneDataProperty); }
            set { SetValue(TuneDataProperty, value); }
        }

        // Using a DependencyProperty as the backing store for TuneData.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty TuneDataProperty =
            DependencyProperty.Register("TuneData", typeof(object), typeof(CompositeViewModel));        

        
    }
}
